%feature("docstring") OTROBOPT::RobustOptimizationAlgorithm
"Robust optimization algorithm base class.

Operates on a robust optimization problem.

Parameters
----------
problem : :class:`~otrobopt.RobustOptimizationProblem`
    Robust optimization problem
solver : :py:class:`openturns.OptimizationSolver`
    Optimization solver

See also
--------
SequentialMonteCarloRobustAlgorithm"

// ---------------------------------------------------------------------

%feature("docstring") OTROBOPT::RobustOptimizationAlgorithm::setRobustProblem
"Robust optimization problem accessor.

Parameters
----------
problem : :class:`~otrobopt.RobustOptimizationProblem`
    Robust optimization problem"

// ---------------------------------------------------------------------

%feature("docstring") OTROBOPT::RobustOptimizationAlgorithm::getRobustProblem
"Robust optimization problem accessor.

Returns
-------
problem : :class:`~otrobopt.RobustOptimizationProblem`
    Robust optimization problem"

// ---------------------------------------------------------------------

%feature("docstring") OTROBOPT::RobustOptimizationAlgorithm::setOptimizationSolver
"Optimization solver accessor.

Parameters
----------
solver : :py:class:`openturns.OptimizationSolver`
    Optimization solver"

// ---------------------------------------------------------------------

%feature("docstring") OTROBOPT::RobustOptimizationAlgorithm::getOptimizationSolver
"Optimization solver accessor.

Returns
-------
solver : :py:class:`openturns.OptimizationSolver`
    Optimization solver"
